zenilib: zenilib/jni/external/freetype2/src/type1/t1driver.c File Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Macros | Functions | Variables
t1driver.c File Reference
`#include <ft2build.h>`
`#include "t1driver.h"`
`#include "t1gload.h"`
`#include "t1load.h"`
`#include "t1errors.h"`
`#include "t1afm.h"`
`#include <FT_INTERNAL_DEBUG_H>`
`#include <FT_INTERNAL_STREAM_H>`
`#include <FT_SERVICE_MULTIPLE_MASTERS_H>`
`#include <FT_SERVICE_GLYPH_DICT_H>`
`#include <FT_SERVICE_XFREE86_NAME_H>`
`#include <FT_SERVICE_POSTSCRIPT_NAME_H>`
`#include <FT_SERVICE_POSTSCRIPT_CMAPS_H>`
`#include <FT_SERVICE_POSTSCRIPT_INFO_H>`
`#include <FT_SERVICE_KERNING_H>`

Go to the source code of this file.

## Macros

#define | FT_COMPONENT trace_t1driver

## Functions

| Get_Interface (FT_Module module, const FT_String *t1_interface)
static FT_Error | Get_Kerning (FT_Face t1face, FT_UInt left_glyph, FT_UInt right_glyph, FT_Vector *kerning)
static FT_Error | t1_get_glyph_name (T1_Face face, FT_UInt glyph_index, FT_Pointer buffer, FT_UInt buffer_max)
static FT_UInt | t1_get_name_index (T1_Face face, FT_String *glyph_name)
static const char * | t1_get_ps_name (T1_Face face)
static FT_Error | t1_ps_get_font_extra (FT_Face face, PS_FontExtraRec *afont_extra)
static FT_Error | t1_ps_get_font_info (FT_Face face, PS_FontInfoRec *afont_info)
static FT_Error | t1_ps_get_font_private (FT_Face face, PS_PrivateRec *afont_private)
static FT_Long | t1_ps_get_font_value (FT_Face face, PS_Dict_Keys key, FT_UInt idx, void *value, FT_Long value_len)
static FT_Int | t1_ps_has_glyph_names (FT_Face face)

## Variables

FT_CALLBACK_TABLE_DEF const FT_Driver_ClassRec | t1_driver_class
static const FT_Service_GlyphDictRec | t1_service_glyph_dict
static const FT_Service_KerningRec | t1_service_kerning
static const FT_Service_MultiMastersRec | t1_service_multi_masters
static const FT_Service_PsInfoRec | t1_service_ps_info
static const FT_Service_PsFontNameRec | t1_service_ps_name
static const FT_ServiceDescRec | t1_services []

## Macro Definition Documentation

#define FT_COMPONENT trace_t1driver

Definition at line 49 of file t1driver.c.

## Function Documentation

Get_Interface | ( | FT_Module | module,
|  | const FT_String * | t1_interface
| ) |  |

Definition at line 611 of file t1driver.c.

References ft_service_list_lookup(), and FT_UNUSED.

static FT_Error Get_Kerning | ( | FT_Face | t1face,
|  | FT_UInt | left_glyph,
|  | FT_UInt | right_glyph,
|  | FT_Vector * | kerning
| ) |  |

static

Definition at line 655 of file t1driver.c.

References T1_FaceRec_::afm_data, T1_Get_Kerning(), FT_Vector_::x, and FT_Vector_::y.

static FT_Error t1_get_glyph_name | ( | T1_Face | face,
|  | FT_UInt | glyph_index,
|  | FT_Pointer | buffer,
|  | FT_UInt | buffer_max
| ) |  |

static

Definition at line 57 of file t1driver.c.

References FT_STRCPYN, T1_FontRec_::glyph_names, and T1_FaceRec_::type1.

static FT_UInt t1_get_name_index | ( | T1_Face | face,
|  | FT_String * | glyph_name
| ) |  |

static

Definition at line 69 of file t1driver.c.

References ft_strcmp, T1_FontRec_::glyph_names, i, T1_FontRec_::num_glyphs, and T1_FaceRec_::type1.

static const char* t1_get_ps_name | ( | T1_Face | face | ) |

static

Definition at line 101 of file t1driver.c.

References T1_FontRec_::font_name, and T1_FaceRec_::type1.

static FT_Error t1_ps_get_font_extra | ( | FT_Face | face,
|  | PS_FontExtraRec * | afont_extra
| ) |  |

static

Definition at line 146 of file t1driver.c.

static FT_Error t1_ps_get_font_info | ( | FT_Face | face,
|  | PS_FontInfoRec * | afont_info
| ) |  |

static

Definition at line 136 of file t1driver.c.

static FT_Error t1_ps_get_font_private | ( | FT_Face | face,
|  | PS_PrivateRec * | afont_private
| ) |  |

static

Definition at line 165 of file t1driver.c.

static FT_Long t1_ps_get_font_value | ( | FT_Face | face,
|  | PS_Dict_Keys | key,
|  | FT_UInt | idx,
|  | void * | value,
|  | FT_Long | value_len
| ) |  |

static

Definition at line 175 of file t1driver.c.

References PS_PrivateRec_::blue_fuzz, PS_PrivateRec_::blue_scale, PS_PrivateRec_::blue_shift, PS_PrivateRec_::blue_values, T1_FontRec_::charstrings, T1_FontRec_::charstrings_len, T1_FontRec_::encoding, T1_FontRec_::encoding_type, PS_PrivateRec_::family_blues, PS_PrivateRec_::family_other_blues, T1_FontRec_::font_bbox, T1_FontRec_::font_extra, T1_FontRec_::font_info, T1_FontRec_::font_matrix, T1_FontRec_::font_name, T1_FontRec_::font_type, PS_PrivateRec_::force_bold, PS_FontExtraRec_::fs_type, FT_Bool, ft_memcpy, ft_strlen, T1_FontRec_::glyph_names, idx, PS_PrivateRec_::language_group, PS_PrivateRec_::lenIV, PS_PrivateRec_::min_feature, PS_PrivateRec_::num_blue_values, PS_PrivateRec_::num_family_blues, PS_PrivateRec_::num_family_other_blues, T1_FontRec_::num_glyphs, PS_PrivateRec_::num_other_blues, PS_PrivateRec_::num_snap_heights, PS_PrivateRec_::num_snap_widths, T1_FontRec_::num_subrs, PS_PrivateRec_::other_blues, T1_FontRec_::paint_type, PS_PrivateRec_::password, T1_FontRec_::private_dict, PS_DICT_BLUE_FUZZ, PS_DICT_BLUE_SCALE, PS_DICT_BLUE_SHIFT, PS_DICT_BLUE_VALUE, PS_DICT_CHAR_STRING, PS_DICT_CHAR_STRING_KEY, PS_DICT_ENCODING_ENTRY, PS_DICT_ENCODING_TYPE, PS_DICT_FAMILY_BLUE, PS_DICT_FAMILY_NAME, PS_DICT_FAMILY_OTHER_BLUE, PS_DICT_FONT_BBOX, PS_DICT_FONT_MATRIX, PS_DICT_FONT_NAME, PS_DICT_FONT_TYPE, PS_DICT_FORCE_BOLD, PS_DICT_FS_TYPE, PS_DICT_FULL_NAME, PS_DICT_IS_FIXED_PITCH, PS_DICT_ITALIC_ANGLE, PS_DICT_LANGUAGE_GROUP, PS_DICT_LEN_IV, PS_DICT_MIN_FEATURE, PS_DICT_NOTICE, PS_DICT_NUM_BLUE_VALUES, PS_DICT_NUM_CHAR_STRINGS, PS_DICT_NUM_FAMILY_BLUES, PS_DICT_NUM_FAMILY_OTHER_BLUES, PS_DICT_NUM_OTHER_BLUES, PS_DICT_NUM_STEM_SNAP_H, PS_DICT_NUM_STEM_SNAP_V, PS_DICT_NUM_SUBRS, PS_DICT_OTHER_BLUE, PS_DICT_PAINT_TYPE, PS_DICT_PASSWORD, PS_DICT_RND_STEM_UP, PS_DICT_STD_HW, PS_DICT_STD_VW, PS_DICT_STEM_SNAP_H, PS_DICT_STEM_SNAP_V, PS_DICT_SUBR, PS_DICT_UNDERLINE_POSITION, PS_DICT_UNDERLINE_THICKNESS, PS_DICT_UNIQUE_ID, PS_DICT_VERSION, PS_DICT_WEIGHT, PS_PrivateRec_::round_stem_up, PS_PrivateRec_::snap_heights, PS_PrivateRec_::snap_widths, PS_PrivateRec_::standard_height, PS_PrivateRec_::standard_width, T1_FontRec_::subrs, T1_FontRec_::subrs_len, T1_ENCODING_TYPE_ARRAY, T1_FaceRec_::type1, PS_PrivateRec_::unique_id, FT_BBox_::xMax, FT_BBox_::xMin, FT_Matrix_::xx, FT_Matrix_::xy, FT_BBox_::yMax, FT_BBox_::yMin, FT_Matrix_::yx, and FT_Matrix_::yy.

static FT_Int t1_ps_has_glyph_names | ( | FT_Face | face | ) |

static

Definition at line 156 of file t1driver.c.

References FT_UNUSED.

## Variable Documentation

FT_CALLBACK_TABLE_DEF const FT_Driver_ClassRec t1_driver_class

Definition at line 680 of file t1driver.c.

const FT_Service_GlyphDictRec t1_service_glyph_dict

static

Initial value:
=
{
(FT_GlyphDict_GetNameFunc) t1_get_glyph_name,
(FT_GlyphDict_NameIndexFunc)t1_get_name_index
}
FT_GlyphDict_GetNameFunc
FT_Error(* FT_GlyphDict_GetNameFunc)(FT_Face face, FT_UInt glyph_index, FT_Pointer buffer, FT_UInt buffer_max)
Definition: svgldict.h:38
FT_GlyphDict_NameIndexFunc
FT_UInt(* FT_GlyphDict_NameIndexFunc)(FT_Face face, FT_String *glyph_name)
Definition: svgldict.h:44
t1_get_name_index
static FT_UInt t1_get_name_index(T1_Face face, FT_String *glyph_name)
Definition: t1driver.c:69
t1_get_glyph_name
static FT_Error t1_get_glyph_name(T1_Face face, FT_UInt glyph_index, FT_Pointer buffer, FT_UInt buffer_max)
Definition: t1driver.c:57

Definition at line 88 of file t1driver.c.

const FT_Service_KerningRec t1_service_kerning

static

Initial value:
=
{
T1_Get_Track_Kerning,
}
T1_Get_Track_Kerning
T1_Get_Track_Kerning(FT_Face face, FT_Fixed ptsize, FT_Int degree, FT_Fixed *kerning)
Definition: t1afm.c:359

Definition at line 580 of file t1driver.c.

const FT_Service_MultiMastersRec t1_service_multi_masters

static

Initial value:
=
{
(FT_Get_MM_Func) T1_Get_Multi_Master,
(FT_Set_MM_Design_Func) T1_Set_MM_Design,
(FT_Set_MM_Blend_Func) T1_Set_MM_Blend,
(FT_Get_MM_Var_Func) T1_Get_MM_Var,
(FT_Set_Var_Design_Func)T1_Set_Var_Design
}
T1_Set_MM_Blend
T1_Set_MM_Blend(T1_Face face, FT_UInt num_coords, FT_Fixed *coords)
Definition: t1load.c:366
FT_Get_MM_Func
FT_Error(* FT_Get_MM_Func)(FT_Face face, FT_Multi_Master *master)
Definition: svmm.h:39
T1_Set_Var_Design
T1_Set_Var_Design(T1_Face face, FT_UInt num_coords, FT_Fixed *coords)
Definition: t1load.c:489
T1_Set_MM_Design
T1_Set_MM_Design(T1_Face face, FT_UInt num_coords, FT_Long *coords)
Definition: t1load.c:413
FT_Set_MM_Design_Func
FT_Error(* FT_Set_MM_Design_Func)(FT_Face face, FT_UInt num_coords, FT_Long *coords)
Definition: svmm.h:47
FT_Get_MM_Var_Func
FT_Error(* FT_Get_MM_Var_Func)(FT_Face face, FT_MM_Var **master)
Definition: svmm.h:43
FT_Set_Var_Design_Func
FT_Error(* FT_Set_Var_Design_Func)(FT_Face face, FT_UInt num_coords, FT_Fixed *coords)
Definition: svmm.h:52
T1_Get_MM_Var
T1_Get_MM_Var(T1_Face face, FT_MM_Var **master)
Definition: t1load.c:301
T1_Get_Multi_Master
T1_Get_Multi_Master(T1_Face face, FT_Multi_Master *master)
Definition: t1load.c:184
FT_Set_MM_Blend_Func
FT_Error(* FT_Set_MM_Blend_Func)(FT_Face face, FT_UInt num_coords, FT_Long *coords)
Definition: svmm.h:57

Definition at line 119 of file t1driver.c.

const FT_Service_PsInfoRec t1_service_ps_info

static

Initial value:
=
{
(PS_GetFontInfoFunc) t1_ps_get_font_info,
(PS_GetFontExtraFunc) t1_ps_get_font_extra,
(PS_HasGlyphNamesFunc) t1_ps_has_glyph_names,
(PS_GetFontPrivateFunc)t1_ps_get_font_private,
(PS_GetFontValueFunc) t1_ps_get_font_value,
}
PS_GetFontValueFunc
FT_Long(* PS_GetFontValueFunc)(FT_Face face, PS_Dict_Keys key, FT_UInt idx, void *value, FT_Long value_len)
Definition: svpsinfo.h:48
t1_ps_get_font_extra
static FT_Error t1_ps_get_font_extra(FT_Face face, PS_FontExtraRec *afont_extra)
Definition: t1driver.c:146
PS_HasGlyphNamesFunc
FT_Int(* PS_HasGlyphNamesFunc)(FT_Face face)
Definition: svpsinfo.h:41
PS_GetFontExtraFunc
FT_Error(* PS_GetFontExtraFunc)(FT_Face face, PS_FontExtraRec *afont_extra)
Definition: svpsinfo.h:37
PS_GetFontPrivateFunc
FT_Error(* PS_GetFontPrivateFunc)(FT_Face face, PS_PrivateRec *afont_private)
Definition: svpsinfo.h:44
t1_ps_has_glyph_names
static FT_Int t1_ps_has_glyph_names(FT_Face face)
Definition: t1driver.c:156
PS_GetFontInfoFunc
FT_Error(* PS_GetFontInfoFunc)(FT_Face face, PS_FontInfoRec *afont_info)
Definition: svpsinfo.h:33
t1_ps_get_font_info
static FT_Error t1_ps_get_font_info(FT_Face face, PS_FontInfoRec *afont_info)
Definition: t1driver.c:136
t1_ps_get_font_private
static FT_Error t1_ps_get_font_private(FT_Face face, PS_PrivateRec *afont_private)
Definition: t1driver.c:165
t1_ps_get_font_value
static FT_Long t1_ps_get_font_value(FT_Face face, PS_Dict_Keys key, FT_UInt idx, void *value, FT_Long value_len)
Definition: t1driver.c:175

Definition at line 569 of file t1driver.c.

const FT_Service_PsFontNameRec t1_service_ps_name

static

Initial value:
=
{
(FT_PsName_GetFunc)t1_get_ps_name
}
FT_PsName_GetFunc
const char *(* FT_PsName_GetFunc)(FT_Face face)
Definition: svpostnm.h:41
t1_get_ps_name
static const char * t1_get_ps_name(T1_Face face)
Definition: t1driver.c:101

Definition at line 107 of file t1driver.c.

const FT_ServiceDescRec t1_services[]

static

Initial value:
=
{
{ FT_SERVICE_ID_POSTSCRIPT_FONT_NAME, &t1_service_ps_name },
{ FT_SERVICE_ID_GLYPH_DICT, &t1_service_glyph_dict },
{ FT_SERVICE_ID_XF86_NAME, FT_XF86_FORMAT_TYPE_1 },
{ FT_SERVICE_ID_POSTSCRIPT_INFO, &t1_service_ps_info },
{ FT_SERVICE_ID_KERNING, &t1_service_kerning },
{ FT_SERVICE_ID_MULTI_MASTERS, &t1_service_multi_masters },
{ NULL, NULL }
}
FT_SERVICE_ID_MULTI_MASTERS
#define FT_SERVICE_ID_MULTI_MASTERS
Definition: svmm.h:35
FT_SERVICE_ID_POSTSCRIPT_INFO
FT_SERVICE_ID_POSTSCRIPT_INFO
Definition: cffdrivr.c:581
FT_XF86_FORMAT_TYPE_1
#define FT_XF86_FORMAT_TYPE_1
Definition: svxf86nm.h:37
NULL
#define NULL
Definition: ftobjs.h:61
FT_SERVICE_ID_GLYPH_DICT
FT_SERVICE_ID_GLYPH_DICT
Definition: cffdrivr.c:581
t1_service_glyph_dict
static const FT_Service_GlyphDictRec t1_service_glyph_dict
Definition: t1driver.c:88
t1_service_ps_info
static const FT_Service_PsInfoRec t1_service_ps_info
Definition: t1driver.c:569
t1_service_kerning
static const FT_Service_KerningRec t1_service_kerning
Definition: t1driver.c:580
t1_service_ps_name
static const FT_Service_PsFontNameRec t1_service_ps_name
Definition: t1driver.c:107
t1_service_multi_masters
static const FT_Service_MultiMastersRec t1_service_multi_masters
Definition: t1driver.c:119
FT_SERVICE_ID_XF86_NAME
#define FT_SERVICE_ID_XF86_NAME
Definition: svxf86nm.h:34
FT_SERVICE_ID_POSTSCRIPT_FONT_NAME
FT_SERVICE_ID_POSTSCRIPT_FONT_NAME
Definition: cffdrivr.c:581
FT_SERVICE_ID_KERNING
#define FT_SERVICE_ID_KERNING
Definition: svkern.h:28

Definition at line 592 of file t1driver.c.